"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NiconamaGift = exports.NiconamaComment = void 0;
const types_1 = require("./types");
const comment_1 = require("./comment");
const niconamaCommentApi = "/vc-official/onecomme/niconico/comment";
const niconamaGiftApi = "/vc-official/onecomme/niconico/gift";
class NiconamaComment {
    constructor(raw) {
        this.endpoint = niconamaCommentApi;
        this.raw = raw;
    }
    getJson() {
        const obj = {
            id: this.raw.id,
            liveId: this.raw.liveId,
            userId: this.raw.userId,
            name: this.raw.name,
            screenName: this.raw.screenName,
            timestamp: (0, types_1.toTimestamp)(this.raw.timestamp),
            isOwner: this.raw.isOwner,
            hasGift: false,
            no: this.raw.no,
            comment: (0, comment_1.normalizeEmoji)(this.raw.comment),
            premium: this.raw.premium,
            anonymity: this.raw.anonymity,
            displayName: this.raw.displayName
        };
        return JSON.stringify(obj);
    }
}
exports.NiconamaComment = NiconamaComment;
class NiconamaGift {
    constructor(raw) {
        this.endpoint = niconamaGiftApi;
        this.raw = raw;
    }
    getJson() {
        const obj = {
            id: this.raw.id,
            liveId: this.raw.liveId,
            userId: this.raw.userId,
            name: this.raw.name,
            screenName: this.raw.screenName,
            timestamp: (0, types_1.toTimestamp)(this.raw.timestamp),
            isOwner: this.raw.isOwner,
            hasGift: true,
            price: this.raw.price,
            no: this.raw.no,
            comment: (0, comment_1.alternateEmoji)(this.raw.comment),
            premium: this.raw.premium,
            anonymity: this.raw.anonymity,
            displayName: this.raw.displayName
        };
        return JSON.stringify(obj);
    }
}
exports.NiconamaGift = NiconamaGift;
