import { SendType } from './types/Api';
import { AxiosRequestConfig } from 'axios';
import 'hacktimer';
import './forcetimer';
import { Comment } from './types/Comment';
import { OneSDKConfig, Subscriber } from './types/OneSDK';
import { Service } from './types/Service';
import { Config } from './types/Config';
import { OrderItem } from './types/Order';
import { SetListAPIResponse } from './types/Setlist';
import { AppInfo } from './types/App';
import { TemplateData } from './types/Template';
export declare class OneSDK {
    private _config;
    private _subscriberId;
    private _checkTimerId;
    private _tickTimerId;
    private _timerMap;
    private _commentMap;
    private _queues;
    private _connected;
    private _subscribers;
    get connected(): boolean;
    get config(): Readonly<OneSDKConfig>;
    ready(): Promise<void>;
    setup(op?: Partial<OneSDKConfig>): Promise<void>;
    private _tick;
    subscribe<T extends Subscriber<SendType>>(subscriber: T): number;
    unsubscribe(subscriberId: number): void;
    reset(): void;
    getStyleVariable<T = any>(name: string, defaultValue: T, parser?: (val: string) => T): T;
    private _splitValues;
    private _publish;
    private _check;
    private _sendComments;
    private _filterComment;
    private _saveComment;
    private _parseComment;
    getCommentStyle(comment: Comment): {
        [key: string]: any;
    };
    checkLicensed(): Promise<boolean>;
    connect(): Promise<void>;
    private getAPIUrl;
    private _checkLicense;
    get<T = any>(url: string, config: AxiosRequestConfig<T>): Promise<import("axios").AxiosResponse<any, any>>;
    post<T = any>(url: string, config: AxiosRequestConfig<T>): Promise<import("axios").AxiosResponse<any, any>>;
    put<T = any>(url: string, config: AxiosRequestConfig<T>): Promise<import("axios").AxiosResponse<any, any>>;
    delete<T = any>(url: string, config: AxiosRequestConfig<T>): Promise<import("axios").AxiosResponse<any, any>>;
    getInfo(): Promise<AppInfo>;
    getComments(): Promise<Comment[]>;
    searchComments(params: {
        services: string[];
        comments: string[];
    }): Promise<Comment[]>;
    getPinnedComment(): Promise<Comment | null>;
    getTemplates(): Promise<TemplateData[]>;
    getServices(): Promise<Service[]>;
    getConfig(): Promise<Config[]>;
    getOrders(): Promise<OrderItem[]>;
    cancelOrder(orderId: string): Promise<OrderItem[]>;
    completeOrder(orderId: string): Promise<OrderItem[]>;
    getSetList(): Promise<SetListAPIResponse>;
}
