import { BaseResponse } from "./BaseResponse";
export declare namespace Doneru {
    interface YouTubeMemberShip {
        level: string;
        nickname: string;
        test: boolean;
        type: 'membership';
    }
    interface YouTubeSubscribe {
        nickname: string;
        test: boolean;
        type: 'youtubeSubscriber';
    }
    interface YouTubeSuperChat {
        amount: number;
        currency: string;
        jpy: number;
        message: string;
        nickname: string;
        test: boolean;
        type: 'superchat';
    }
    interface TwitchCheer {
        amount: number;
        message: string;
        nickname: string;
        test: boolean;
        type: 'bit';
    }
    interface TwitchHosting {
        amount: number;
        nickname: string;
        test: boolean;
        type: 'hosting';
    }
    interface TwitchSubscribe {
        amount: number;
        message: string;
        nickname: string;
        plan: string;
        test: boolean;
        type: 'twitchSubscriber';
    }
    interface TwitchFollow {
        nickname: string;
        test: boolean;
        type: 'follower';
    }
    interface SupportDonation {
        amount: number;
        message: string;
        month: number;
        nickname: string;
        test: boolean;
        tts: number;
        type: 'support';
    }
    interface Donation {
        amount: number;
        assetID?: any;
        message: string;
        messageType: number;
        nickname: string;
        test: boolean;
        type: 'donation';
    }
    type RootResponse = Donation | SupportDonation | TwitchFollow | TwitchSubscribe | TwitchHosting | TwitchCheer | YouTubeSuperChat | YouTubeSubscribe | YouTubeMemberShip;
    interface CommentResponse extends BaseResponse {
        price?: number;
    }
}
export declare namespace DoneruConfig {
    interface ImageSource {
        hash: string;
        name: string;
    }
    interface SoundSource {
        name: string;
        hash: string;
    }
    interface Message {
        enable: number;
        minAmount: number;
        font: string;
        fontSize: number;
        fontWeight: number;
        fontColor: string;
        emote: number;
    }
    interface Tts {
        enable: number;
        minAmount: number;
        volume: number;
        speed: number;
        spamProtectedLevel: number;
    }
    interface Donation {
        enable: number;
        layout: number;
        startAnimation: string;
        endAnimation: string;
        minAmount: number;
        textAnimation: string;
        font: string;
        fontSize: number;
        fontWeight: number;
        fontColor: string;
        fontHighlightColor: string;
        messageTemplate: string;
        imageSource: ImageSource;
        soundSource: SoundSource;
        soundVolume: number;
        alertDuration: number;
        message: Message;
        tts: Tts;
        customAlert: any[];
    }
    interface ImageSource2 {
        name: string;
        hash: string;
    }
    interface SoundSource2 {
        name: string;
        hash: string;
    }
    interface Message2 {
        enable: number;
        minAmount: number;
        font: string;
        fontSize: number;
        fontWeight: number;
        fontColor: string;
    }
    interface Tts2 {
        enable: number;
        minAmount: number;
        volume: number;
    }
    interface Bit {
        enable: number;
        layout: number;
        startAnimation: string;
        endAnimation: string;
        minAmount: number;
        font: string;
        fontSize: number;
        fontWeight: number;
        fontColor: string;
        fontHighlightColor: string;
        messageTemplate: string;
        textAnimation: string;
        imageSource: ImageSource2;
        soundSource: SoundSource2;
        soundVolume: number;
        alertDuration: number;
        message: Message2;
        tts: Tts2;
        customAlert: any[];
    }
    interface ImageSource3 {
        name: string;
        hash: string;
    }
    interface SoundSource3 {
        name: string;
        hash: string;
    }
    interface Follower {
        enable: number;
        layout: number;
        startAnimation: string;
        endAnimation: string;
        messageTemplate: string;
        textAnimation: string;
        imageSource: ImageSource3;
        soundSource: SoundSource3;
        soundVolume: number;
        alertDuration: number;
        font: string;
        fontSize: number;
        fontWeight: number;
        fontColor: string;
        fontHighlightColor: string;
    }
    interface ImageSource4 {
        name: string;
        hash: string;
    }
    interface SoundSource4 {
        name: string;
        hash: string;
    }
    interface Hosting {
        enable: number;
        layout: number;
        startAnimation: string;
        endAnimation: string;
        minAmount: number;
        messageTemplate: string;
        textAnimation: string;
        imageSource: ImageSource4;
        soundSource: SoundSource4;
        soundVolume: number;
        alertDuration: number;
        font: string;
        fontSize: number;
        fontWeight: number;
        fontColor: string;
        fontHighlightColor: string;
        customAlert: any[];
    }
    interface ImageSource5 {
        name: string;
        hash: string;
    }
    interface SoundSource5 {
        name: string;
        hash: string;
    }
    interface Membership {
        enable: number;
        layout: number;
        startAnimation: string;
        endAnimation: string;
        messageTemplate: string;
        textAnimation: string;
        imageSource: ImageSource5;
        soundSource: SoundSource5;
        soundVolume: number;
        alertDuration: number;
        font: string;
        fontSize: number;
        fontWeight: number;
        fontColor: string;
        fontHighlightColor: string;
        customAlert: any[];
    }
    interface ImageSource6 {
        name: string;
        hash: string;
    }
    interface SoundSource6 {
        name: string;
        hash: string;
    }
    interface Message3 {
        enable: number;
        minAmount: number;
        font: string;
        fontSize: number;
        fontWeight: number;
        fontColor: string;
    }
    interface Tts3 {
        enable: number;
        minAmount: number;
        volume: number;
    }
    interface Superchat {
        enable: number;
        layout: number;
        startAnimation: string;
        endAnimation: string;
        minAmount: number;
        font: string;
        fontSize: number;
        fontWeight: number;
        fontColor: string;
        fontHighlightColor: string;
        messageTemplate: string;
        textAnimation: string;
        imageSource: ImageSource6;
        soundSource: SoundSource6;
        soundVolume: number;
        alertDuration: number;
        message: Message3;
        tts: Tts3;
        customAlert: any[];
    }
    interface ImageSource7 {
        hash: string;
        name: string;
    }
    interface SoundSource7 {
        name: string;
        hash: string;
    }
    interface Message4 {
        enable: number;
        minAmount: number;
        font: string;
        fontSize: number;
        fontWeight: number;
        fontColor: string;
        emote: number;
    }
    interface Tts4 {
        enable: number;
        minAmount: number;
        volume: number;
        speed: number;
        spamProtectedLevel: number;
    }
    interface Support {
        enable: number;
        layout: number;
        startAnimation: string;
        endAnimation: string;
        minAmount: number;
        textAnimation: string;
        font: string;
        fontSize: number;
        fontWeight: number;
        fontColor: string;
        fontHighlightColor: string;
        messageTemplate: string;
        imageSource: ImageSource7;
        soundSource: SoundSource7;
        soundVolume: number;
        alertDuration: number;
        message: Message4;
        tts: Tts4;
        customAlert: any[];
    }
    interface ImageSource8 {
        name: string;
        hash: string;
    }
    interface SoundSource8 {
        name: string;
        hash: string;
    }
    interface Message5 {
        enable: number;
        font: string;
        fontSize: number;
        fontWeight: number;
        fontColor: string;
    }
    interface Tts5 {
        enable: number;
        volume: number;
        spamProtectedLevel: number;
    }
    interface TwitchSubscriber {
        enable: number;
        layout: number;
        startAnimation: string;
        endAnimation: string;
        messageTemplate: string;
        textAnimation: string;
        imageSource: ImageSource8;
        soundSource: SoundSource8;
        soundVolume: number;
        alertDuration: number;
        font: string;
        fontSize: number;
        fontWeight: number;
        fontColor: string;
        fontHighlightColor: string;
        message: Message5;
        tts: Tts5;
        customAlert: any[];
    }
    interface ImageSource9 {
        hash: string;
        name: string;
    }
    interface SoundSource9 {
        name: string;
        hash: string;
    }
    interface YoutubeSubscriber {
        enable: number;
        layout: number;
        startAnimation: string;
        endAnimation: string;
        messageTemplate: string;
        textAnimation: string;
        imageSource: ImageSource9;
        soundSource: SoundSource9;
        soundVolume: number;
        alertDuration: number;
        font: string;
        fontSize: number;
        fontWeight: number;
        fontColor: string;
        fontHighlightColor: string;
    }
    interface Setting {
        alertDelay: number;
        alertOrder: string[];
        backgroundColor: string;
        customCss: string;
        donation: Donation;
        bit: Bit;
        follower: Follower;
        hosting: Hosting;
        loadOnReload: number;
        membership: Membership;
        superchat: Superchat;
        support: Support;
        twitchSubscriber: TwitchSubscriber;
        youtubeSubscriber: YoutubeSubscriber;
    }
    interface Audio {
        enable: number;
        volume: number;
        minAmount: number;
        amountPerSecond: number;
        maxDuration: number;
    }
    interface Video {
        enable: number;
        youtubeAllow: number;
        twitchAllow: number;
        volume: number;
        method: number;
        minAmount: number;
        amountPerSecond: number;
        maxDuration: number;
        ttsLevel: number;
        caption: number;
    }
    interface Image {
        enable: number;
    }
    interface Media {
        audio: Audio;
        video: Video;
        image: Image;
    }
    interface Config {
        setting: Setting;
        assets: any[];
        arrange: any[];
        media: Media;
    }
}
