import { BaseResponse } from "./BaseResponse";
export declare namespace Twitter {
    interface EntryContent {
        item: {
            clientEventInfo: any;
            content: {
                tweet: {
                    displayType: string;
                    id: string;
                    promotedMetadata?: {
                        advertiserId: string;
                        impressionId: string;
                        disclosureType: string;
                        experimentValues: any;
                        promotedTrendId: string;
                        clickTrackingInfo: any;
                    };
                };
            };
        };
    }
    interface Entry {
        entryId: string;
        sortId: string;
        content: EntryContent;
    }
    interface AddEntries {
        entries: Entry[];
    }
    interface Instruction {
        addEntries?: AddEntries;
        replaceEntry?: any[];
    }
    interface Timeline {
        id: string;
        instructions: Instruction[];
    }
    interface Tweet {
        user_id_str: string;
        source: string;
        id_str: string;
        full_text: string;
        created_at: string;
        entries: {
            hashtags: any[];
            media: {
                id_str: string;
                media_url_https: string;
                sizes: any;
                type: string;
                url: string;
            }[];
        };
        extended_entities: any;
    }
    interface User {
        id_str: string;
        created_at: string;
        name: string;
        profile_image_url_https: string;
        url: string;
        screen_name: string;
        advertiser_account_type: string;
    }
    interface GlobalObject {
        tweets: {
            [key: string]: Tweet;
        };
        users: {
            [key: string]: User;
        };
    }
    interface RootResponse {
        errors?: {
            code: number;
            message: string;
        }[];
        globalObjects?: GlobalObject;
        timeline?: {
            id: string;
            instructions: Instruction[];
        };
    }
    interface CommentResponse extends BaseResponse {
        screenName: string;
        link: string;
        commentVisible?: boolean;
    }
}
