import { BaseResponse } from './BaseResponse';
import { Colors } from './Comment';
export declare namespace VTips {
    interface Chat {
        chatId: string;
        message: string;
        createdAt: string;
        userInfo: UserInfo;
        tipInfo?: TipInfo;
        vcoinTipInfo?: VcoinTipInfo;
    }
    interface UserInfo {
        userId: string;
        name: string;
        icon: string;
        isStreamer: boolean;
        isOwner: boolean;
    }
    interface VcoinTipInfo {
        amount: string;
        displayDuration: number;
        grade: number;
    }
    interface TipInfo {
        amount: string;
        currency: string;
        displayDuration: number;
        grade: number;
    }
    interface UpdateUser {
        userId: string;
        isVisible: boolean;
    }
    interface DeleteChat {
        chatId: string;
    }
    interface LatestChat {
        chatId: string;
        createdAt: string;
    }
    interface Stats {
        fanRankings: any[];
        watchCount: string;
    }
    type BroadcastStatusType = 'READY' | 'LIVE' | 'COMPLETED';
    type StreamStatusType = 'NO_DATA' | 'GOOD';
    interface BroadcastStatus {
        broadcastStatus: string;
        streamStatus: string;
        publishedScope: number;
        streamId: string;
    }
    interface DiffResponse {
        latestChat: LatestChat;
        deletedChats: DeleteChat[];
        updatedUsers: UpdateUser[];
        isEnabledTips: boolean;
    }
    interface ChatResponse {
        chats: Chat[];
    }
    interface StreamerInfo {
        userId: string;
        name: string;
        followerCount: number;
        icon: string;
        isEnabledReturnGacha: boolean;
    }
    interface ContentInfo {
        contentId: string;
        type: string;
        thumbnail: {
            720: string;
            180: string;
            36: string;
            1080: string;
            360: string;
            90: string;
        };
        title: string;
        broadcastStatus: BroadcastStatusType;
        publishedScope: number;
        issuedAt: string;
        isEnabledChats: boolean;
        isEnabledTips: boolean;
        isEnabledComments: boolean;
    }
    interface StreamingInfo {
        streamerInfo: StreamerInfo;
        contentInfo: ContentInfo;
        hash: string;
        hashIssuedAt: string;
        watchHistoryId: string;
    }
    interface CommentResponse extends BaseResponse {
        tipInfo?: TipInfo | VcoinTipInfo;
        price?: number;
        isStreamer: boolean;
        isOwner: boolean;
        isFreeGift?: boolean;
        paidText?: string;
        colors?: Colors;
    }
}
