import { BaseResponse } from './BaseResponse';
import { Colors } from './Comment';
export declare namespace YouTube {
    interface Param {
        key: string;
        value: string;
    }
    interface ServiceTrackingParam {
        service: string;
        params: Param[];
    }
    interface MainAppWebResponseContext {
        loggedOut: boolean;
    }
    interface WebResponseContextExtensionData {
        hasDecorated: boolean;
    }
    interface ResponseContext {
        serviceTrackingParams: ServiceTrackingParam[];
        mainAppWebResponseContext: MainAppWebResponseContext;
        webResponseContextExtensionData: WebResponseContextExtensionData;
    }
    interface TimedContinuationData {
        timeoutMs: number;
        continuation: string;
        clickTrackingParams: string;
    }
    interface InvalidationContinuationData {
        continuation: string;
        timeoutMs: number;
    }
    interface ReloadContinuationData {
        continuation: string;
    }
    interface Continuation {
        invalidationContinuationData?: InvalidationContinuationData;
        reloadContinuationData?: ReloadContinuationData;
        timedContinuationData?: TimedContinuationData;
    }
    interface Image {
        thumbnails: Thumbnail[];
        accessibility: Accessibility;
    }
    interface Emoji {
        emojiId: string;
        shortcuts: string[];
        searchTerms: string[];
        image: Image;
        isCustomEmoji: boolean;
    }
    interface Run {
        text: string;
        emoji: Emoji;
    }
    interface Message {
        runs?: Run[];
        simpleText?: string;
    }
    interface AuthorName {
        simpleText: string;
    }
    interface Thumbnail {
        url: string;
        width: number;
        height: number;
    }
    interface AuthorPhoto {
        thumbnails: Thumbnail[];
    }
    interface WebCommandMetadata {
        ignoreNavigation: boolean;
    }
    interface CommandMetadata {
        webCommandMetadata: WebCommandMetadata;
    }
    interface LiveChatItemContextMenuEndpoint {
        params: string;
    }
    interface ContextMenuEndpoint {
        clickTrackingParams: string;
        commandMetadata: CommandMetadata;
        liveChatItemContextMenuEndpoint: LiveChatItemContextMenuEndpoint;
    }
    interface AccessibilityData {
        label: string;
    }
    interface ContextMenuAccessibility {
        accessibilityData: AccessibilityData;
    }
    interface Thumbnail2 {
        url: string;
        width: number;
        height: number;
    }
    interface CustomThumbnail {
        thumbnails: Thumbnail2[];
    }
    interface AccessibilityData2 {
        label: string;
    }
    interface Accessibility {
        accessibilityData: AccessibilityData2;
    }
    interface Icon {
        iconType: string;
    }
    interface LiveChatAuthorBadgeRenderer {
        customThumbnail?: CustomThumbnail;
        tooltip: string;
        accessibility: Accessibility;
        icon?: Icon;
    }
    interface AuthorBadge {
        liveChatAuthorBadgeRenderer: LiveChatAuthorBadgeRenderer;
    }
    interface LiveChatTextMessageRenderer {
        message?: Message;
        authorName: AuthorName;
        authorPhoto: AuthorPhoto;
        contextMenuEndpoint: ContextMenuEndpoint;
        id: string;
        timestampUsec: string;
        authorExternalChannelId: string;
        contextMenuAccessibility: ContextMenuAccessibility;
        authorBadges: AuthorBadge[];
    }
    interface AuthorName2 {
        simpleText: string;
    }
    interface Thumbnail3 {
        url: string;
        width: number;
        height: number;
    }
    interface AuthorPhoto2 {
        thumbnails: Thumbnail3[];
    }
    interface PurchaseAmountText {
        simpleText: string;
    }
    interface Run2 {
        text: string;
        emoji: Emoji;
    }
    interface Message2 {
        runs?: Run2[];
    }
    interface WebCommandMetadata2 {
        ignoreNavigation: boolean;
    }
    interface CommandMetadata2 {
        webCommandMetadata: WebCommandMetadata2;
    }
    interface LiveChatItemContextMenuEndpoint2 {
        params: string;
    }
    interface ContextMenuEndpoint2 {
        clickTrackingParams: string;
        commandMetadata: CommandMetadata2;
        liveChatItemContextMenuEndpoint: LiveChatItemContextMenuEndpoint2;
    }
    interface AccessibilityData3 {
        label: string;
    }
    interface ContextMenuAccessibility2 {
        accessibilityData: AccessibilityData3;
    }
    interface TimestampText {
        simpleText: string;
    }
    interface Sticker {
        thumbnails: Thumbnail2[];
        accessibility: Accessibility;
    }
    interface LiveChatPaidStickerRenderer {
        id: string;
        contextMenuEndpoint: ContextMenuEndpoint;
        contextMenuAccessibility: ContextMenuAccessibility;
        timestampUsec: string;
        authorPhoto: AuthorPhoto;
        authorName: AuthorName;
        authorExternalChannelId: string;
        timestampText: TimestampText;
        sticker: Sticker;
        moneyChipBackgroundColor: number;
        moneyChipTextColor: number;
        purchaseAmountText: PurchaseAmountText;
        stickerDisplayWidth: number;
        stickerDisplayHeight: number;
        backgroundColor: number;
        authorNameTextColor: number;
        authorBadges: AuthorBadge[];
    }
    interface LiveChatPaidMessageRenderer {
        id: string;
        timestampUsec: string;
        authorName: AuthorName2;
        authorPhoto: AuthorPhoto2;
        purchaseAmountText: PurchaseAmountText;
        message: Message2;
        headerBackgroundColor: number;
        headerTextColor: number;
        bodyBackgroundColor: number;
        bodyTextColor: number;
        authorExternalChannelId: string;
        authorNameTextColor: number;
        contextMenuEndpoint: ContextMenuEndpoint2;
        timestampColor: number;
        contextMenuAccessibility: ContextMenuAccessibility2;
        trackingParams: string;
        authorBadges: AuthorBadge[];
    }
    interface SponsorPhoto {
        thumbnails: Thumbnail[];
    }
    interface DetailText {
        runs: Run[];
    }
    interface LiveChatTickerSponsorItemRenderer {
        id: string;
        detailText: DetailText;
        detailTextColor: number;
        startBackgroundColor: number;
        endBackgroundColor: number;
        sponsorPhoto: SponsorPhoto;
        durationSec: number;
        showItemEndpoint: ShowItemEndpoint;
        authorExternalChannelId: string;
        fullDurationSec: number;
        trackingParams: string;
    }
    interface liveChatPlaceholderItemRenderer {
        id: string;
        timestampUsec: string;
    }
    interface PrimaryText {
        runs: Run[];
    }
    interface LiveChatSponsorshipsHeaderRenderer {
        authorName: AuthorName;
        authorPhoto: AuthorPhoto;
        primaryText: PrimaryText;
        authorBadges: AuthorBadge[];
        contextMenuEndpoint: ContextMenuEndpoint;
        contextMenuAccessibility: ContextMenuAccessibility;
        image: Image;
    }
    interface Header {
        liveChatSponsorshipsHeaderRenderer: LiveChatSponsorshipsHeaderRenderer;
    }
    interface LiveChatSponsorshipsGiftPurchaseAnnouncementRenderer {
        id: string;
        timestampUsec: string;
        authorExternalChannelId: string;
        header: Header;
    }
    interface UrlEndpoint {
        url: string;
        target: string;
    }
    interface NavigationEndpoint {
        clickTrackingParams: string;
        commandMetadata: CommandMetadata;
        urlEndpoint: UrlEndpoint;
    }
    interface ButtonRenderer {
        style: string;
        size: string;
        isDisabled: boolean;
        text: Text;
        navigationEndpoint: NavigationEndpoint;
        trackingParams: string;
        accessibilityData: AccessibilityData;
    }
    interface ActionButton {
        buttonRenderer: ButtonRenderer;
    }
    interface LiveChatViewerEngagementMessageRenderer {
        id: string;
        timestampUsec: string;
        icon: Icon;
        message: Message;
        actionButton: ActionButton;
        trackingParams: string;
    }
    interface AutoModeratedItem {
        liveChatTextMessageRenderer: LiveChatTextMessageRenderer;
    }
    interface HeaderText {
        runs: Run[];
    }
    interface LiveChatAutoModMessageRenderer {
        id: string;
        timestampUsec: string;
        autoModeratedItem: AutoModeratedItem;
        headerText: HeaderText;
        infoDialogButton: any;
        moderationButtons: any[];
        authorExternalChannelId: string;
        inlineActionButtons: any[];
        additionalInlineActionButtons: any;
    }
    interface LiveChatSponsorshipsGiftRedemptionAnnouncementRenderer {
        id: string;
        timestampUsec: string;
        timestampText: TimestampText;
        authorExternalChannelId: string;
        authorName: AuthorName;
        authorPhoto: AuthorPhoto;
        message: Message;
        contextMenuEndpoint: ContextMenuEndpoint;
        contextMenuAccessibility: ContextMenuAccessibility;
        trackingParams: string;
    }
    interface Subtext {
        runs: Run[];
    }
    interface LiveChatModeChangeMessageRenderer {
        id: string;
        timestampUsec: string;
        icon: Icon;
        text: Text;
        subtext: Subtext;
    }
    type ChatRendererType = LiveChatTextMessageRenderer | LiveChatPaidMessageRenderer | LiveChatPaidStickerRenderer;
    interface Item {
        liveChatTextMessageRenderer?: LiveChatTextMessageRenderer;
        liveChatPaidMessageRenderer?: LiveChatPaidMessageRenderer;
        liveChatPaidStickerRenderer?: LiveChatPaidStickerRenderer;
        liveChatMembershipItemRenderer?: LiveChatMembershipItemRenderer;
        liveChatPlaceholderItemRenderer?: liveChatPlaceholderItemRenderer;
        liveChatSponsorshipsGiftPurchaseAnnouncementRenderer?: LiveChatSponsorshipsGiftPurchaseAnnouncementRenderer;
        liveChatViewerEngagementMessageRenderer?: LiveChatViewerEngagementMessageRenderer;
        liveChatAutoModMessageRenderer: LiveChatAutoModMessageRenderer;
        liveChatSponsorshipsGiftRedemptionAnnouncementRenderer: LiveChatSponsorshipsGiftRedemptionAnnouncementRenderer;
        liveChatModeChangeMessageRenderer: LiveChatModeChangeMessageRenderer;
    }
    interface AddChatItemAction {
        item: Item;
        clientId: string;
    }
    interface Amount {
        simpleText: string;
    }
    interface Thumbnail4 {
        url: string;
        width: number;
        height: number;
    }
    interface AccessibilityData4 {
        label: string;
    }
    interface Accessibility2 {
        accessibilityData: AccessibilityData4;
    }
    interface AuthorPhoto3 {
        thumbnails: Thumbnail4[];
        accessibility: Accessibility2;
    }
    interface WebCommandMetadata3 {
        ignoreNavigation: boolean;
    }
    interface CommandMetadata3 {
        webCommandMetadata: WebCommandMetadata3;
    }
    interface AuthorName3 {
        simpleText: string;
    }
    interface Thumbnail5 {
        url: string;
        width: number;
        height: number;
    }
    interface AuthorPhoto4 {
        thumbnails: Thumbnail5[];
    }
    interface PurchaseAmountText2 {
        simpleText: string;
    }
    interface Run3 {
        text: string;
    }
    interface Message3 {
        runs: Run3[];
    }
    interface WebCommandMetadata4 {
        ignoreNavigation: boolean;
    }
    interface CommandMetadata4 {
        webCommandMetadata: WebCommandMetadata4;
    }
    interface LiveChatItemContextMenuEndpoint3 {
        params: string;
    }
    interface ContextMenuEndpoint3 {
        clickTrackingParams: string;
        commandMetadata: CommandMetadata4;
        liveChatItemContextMenuEndpoint: LiveChatItemContextMenuEndpoint3;
    }
    interface AccessibilityData5 {
        label: string;
    }
    interface ContextMenuAccessibility3 {
        accessibilityData: AccessibilityData5;
    }
    interface LiveChatPaidMessageRenderer2 {
        id: string;
        timestampUsec: string;
        authorName: AuthorName3;
        authorPhoto: AuthorPhoto4;
        purchaseAmountText: PurchaseAmountText2;
        message: Message3;
        headerBackgroundColor: number;
        headerTextColor: number;
        bodyBackgroundColor: number;
        bodyTextColor: number;
        authorExternalChannelId: string;
        authorNameTextColor: number;
        contextMenuEndpoint: ContextMenuEndpoint3;
        timestampColor: number;
        contextMenuAccessibility: ContextMenuAccessibility3;
        trackingParams: string;
    }
    interface LiveChatMembershipItemRenderer {
        id: string;
        timestampUsec: string;
        timestampText: TimestampText;
        authorExternalChannelId: string;
        headerPrimaryText?: Message;
        headerSubtext?: Message;
        message?: Message;
        authorName: AuthorName;
        authorPhoto: AuthorPhoto;
        authorBadges: AuthorBadge[];
        contextMenuEndpoint: ContextMenuEndpoint2;
        contextMenuAccessibility: ContextMenuAccessibility2;
        trackingParams: string;
    }
    interface Renderer {
        liveChatPaidMessageRenderer?: LiveChatPaidMessageRenderer2;
        liveChatMembershipItemRenderer?: LiveChatMembershipItemRenderer;
    }
    interface ShowLiveChatItemEndpoint {
        renderer: Renderer;
        trackingParams: string;
    }
    interface ShowItemEndpoint {
        clickTrackingParams: string;
        commandMetadata: CommandMetadata3;
        showLiveChatItemEndpoint: ShowLiveChatItemEndpoint;
    }
    interface LiveChatTickerPaidMessageItemRenderer {
        id: string;
        amount: Amount;
        amountTextColor: number;
        startBackgroundColor: number;
        endBackgroundColor: number;
        authorPhoto: AuthorPhoto3;
        durationSec: number;
        showItemEndpoint: ShowItemEndpoint;
        authorExternalChannelId: string;
        fullDurationSec: number;
        trackingParams: string;
    }
    interface Item2 {
        liveChatTickerPaidMessageItemRenderer?: LiveChatTickerPaidMessageItemRenderer;
        liveChatTickerSponsorItemRenderer?: LiveChatTickerSponsorItemRenderer;
    }
    interface AddLiveChatTickerItemAction {
        item: Item2;
        durationSec: string;
    }
    interface MarkChatItemAsDeletedAction {
        deletedStateMessage: Message;
        targetItemId: string;
    }
    interface MarkChatItemsByAuthorAsDeletedAction {
        deletedStateMessage: Message;
        externalChannelId: string;
    }
    interface ViewCount2 {
        simpleText: string;
    }
    interface ExtraShortViewCount {
        accessibility: Accessibility;
        simpleText: string;
    }
    interface VideoViewCountRenderer {
        viewCount: ViewCount2;
        isLive: boolean;
        extraShortViewCount: ExtraShortViewCount;
    }
    interface VideoViewerShipRenderer {
        isLive: boolean;
    }
    interface ViewCount {
        videoViewCountRenderer: VideoViewCountRenderer;
    }
    interface ViewerShip {
        videoViewCountRenderer: VideoViewerShipRenderer;
    }
    interface UpdateViewershipAction {
        viewCount?: ViewCount;
        viewership?: ViewerShip;
    }
    interface Title {
        runs: Run[];
    }
    interface UpdateTitleAction {
        title: Title;
    }
    interface UpdateDescriptionAction {
    }
    interface DefaultText {
        simpleText: string;
    }
    interface ToggledText {
        simpleText: string;
    }
    interface UpdateToggleButtonTextAction {
        defaultText: DefaultText;
        toggledText: ToggledText;
        buttonId: string;
    }
    interface RemoveChatItemAction {
        targetItemId: string;
    }
    interface RemoveChatItemByAuthorAction {
        externalChannelId: string;
    }
    interface SetEntityCommand {
        identifier: string;
        entity: string;
    }
    interface QuestionText {
        runs: Run[];
    }
    interface QuestionLabelText {
        simpleText: string;
    }
    interface LiveChatCreatorAnswersQuestionsRenderer {
        icon: Icon;
        questionLabelText: QuestionLabelText;
        questionText: QuestionText;
        collapsedStateEntityKey: string;
    }
    interface CreatorAvatar {
        thumbnails: Thumbnail[];
    }
    interface CreatorAuthorName {
        simpleText: string;
    }
    interface QuestionMessage {
        runs: Run3[];
    }
    interface LiveChatCallForQuestionsRenderer {
        creatorAvatar: CreatorAvatar;
        creatorAuthorName: CreatorAuthorName;
        questionMessage: QuestionMessage;
    }
    interface Contents {
        liveChatCreatorAnswersQuestionsRenderer: LiveChatCreatorAnswersQuestionsRenderer;
        liveChatCallForQuestionsRenderer: LiveChatCallForQuestionsRenderer;
    }
    interface ElementsCommand {
        setEntityCommand: SetEntityCommand;
    }
    interface OnCollapseCommand {
        clickTrackingParams: string;
        elementsCommand: ElementsCommand;
    }
    interface OnExpandCommand {
        clickTrackingParams: string;
        elementsCommand: ElementsCommand;
    }
    interface LiveChatBannerRenderer {
        contents: Contents;
        actionId: string;
        viewerIsCreator: boolean;
        targetId: string;
        onCollapseCommand: OnCollapseCommand;
        onExpandCommand: OnExpandCommand;
        isStackable: boolean;
    }
    interface BannerRenderer {
        liveChatBannerRenderer: LiveChatBannerRenderer;
    }
    interface AddBannerToLiveChatCommand {
        bannerRenderer: BannerRenderer;
    }
    interface Action {
        clickTrackingParams?: string;
        addChatItemAction?: AddChatItemAction;
        addLiveChatTickerItemAction?: AddLiveChatTickerItemAction;
        markChatItemAsDeletedAction?: MarkChatItemAsDeletedAction;
        markChatItemsByAuthorAsDeletedAction?: MarkChatItemsByAuthorAsDeletedAction;
        updateViewershipAction?: UpdateViewershipAction;
        updateTitleAction?: UpdateTitleAction;
        updateDescriptionAction?: UpdateDescriptionAction;
        updateToggleButtonTextAction?: UpdateToggleButtonTextAction;
        removeChatItemAction?: RemoveChatItemAction;
        removeChatItemByAuthorAction?: RemoveChatItemByAuthorAction;
        addBannerToLiveChatCommand: AddBannerToLiveChatCommand;
    }
    interface LiveChatContinuation {
        continuations: Continuation[];
        actions: Action[];
        trackingParams: string;
    }
    interface ContinuationContents {
        liveChatContinuation: LiveChatContinuation;
    }
    interface Reaction {
        key: string;
        value: number;
    }
    interface Duration {
        seconds: string;
    }
    interface ReactionData {
        reactionCount: number;
        unicodeEmojiId: string;
    }
    interface ReactionBucket {
        totalReactions: number;
        duration: Duration;
        reactionsData: ReactionData[];
        intensityScore?: number;
    }
    interface EmojiFountainDataEntity {
        key: string;
        reactionBuckets: ReactionBucket[];
        updateTimeUsec: string;
    }
    interface LikeCountIfLiked {
        content: string;
    }
    interface LikeCountIfDisliked {
        content: string;
    }
    interface LikeCountIfIndifferent {
        content: string;
    }
    interface ExpandedLikeCountIfLiked {
        content: string;
    }
    interface ExpandedLikeCountIfDisliked {
        content: string;
    }
    interface ExpandedLikeCountIfIndifferent {
        content: string;
    }
    interface LikeCountLabel {
        content: string;
    }
    interface LikeButtonA11yText {
        content: string;
    }
    interface SentimentFactoidA11yTextIfLiked {
        content: string;
    }
    interface SentimentFactoidA11yTextIfDisliked {
        content: string;
    }
    interface LikeCountEntity {
        likeCountIfLiked: LikeCountIfLiked;
        likeCountIfDisliked: LikeCountIfDisliked;
        likeCountIfIndifferent: LikeCountIfIndifferent;
        expandedLikeCountIfLiked: ExpandedLikeCountIfLiked;
        expandedLikeCountIfDisliked: ExpandedLikeCountIfDisliked;
        expandedLikeCountIfIndifferent: ExpandedLikeCountIfIndifferent;
        likeCountLabel: LikeCountLabel;
        likeButtonA11yText: LikeButtonA11yText;
        likeCountIfLikedNumber: string;
        likeCountIfDislikedNumber: string;
        likeCountIfIndifferentNumber: string;
        shouldExpandLikeCount: boolean;
        sentimentFactoidA11yTextIfLiked: SentimentFactoidA11yTextIfLiked;
        sentimentFactoidA11yTextIfDisliked: SentimentFactoidA11yTextIfDisliked;
    }
    interface MutationPayload {
        emojiFountainDataEntity?: EmojiFountainDataEntity;
        likeCountEntity?: LikeCountEntity;
    }
    interface Mutation {
        entityKey: string;
        type: string;
        payload: MutationPayload;
    }
    interface Timestamp {
        seconds: string;
        nanos: number;
    }
    interface EntityBatchUpdate {
        mutations: Mutation[];
        timestamp: Timestamp;
    }
    interface FrameworkUpdates {
        entityBatchUpdate: EntityBatchUpdate;
    }
    interface ServiceTrackingParams {
        service: string;
        params: Param[];
    }
    interface ChangeEngagementPanelVisibilityAction {
        targetId: string;
        visibility: string;
    }
    interface Embed {
        iframeUrl: string;
        flashUrl: string;
        width: number;
        height: number;
        flashSecureUrl: string;
    }
    interface LiveBroadcastDetails {
        isLiveNow: boolean;
        startTimestamp: Date;
    }
    interface PlayerMicroformatRenderer {
        thumbnail: Thumbnail3;
        embed: Embed;
        title: Title;
        lengthSeconds: string;
        ownerProfileUrl: string;
        externalChannelId: string;
        isFamilySafe: boolean;
        availableCountries: string[];
        isUnlisted: boolean;
        hasYpcMetadata: boolean;
        viewCount: string;
        category: string;
        publishDate: string;
        ownerChannelName: string;
        liveBroadcastDetails: LiveBroadcastDetails;
        uploadDate: string;
    }
    interface Microformat {
        playerMicroformatRenderer: PlayerMicroformatRenderer;
    }
    interface VideoResponse {
        responseContext: ResponseContext;
        microformat: Microformat;
        trackingParams: string;
        frameworkUpdates: FrameworkUpdates;
    }
    interface MainText {
        runs: Run[];
    }
    interface SubtitleText {
        simpleText: string;
    }
    interface LiveStreamOfflineSlateRenderer {
        scheduledStartTime: string;
        mainText: MainText;
        subtitleText: SubtitleText;
        thumbnail: Thumbnail;
        actionButtons: ActionButton[];
        offlineSlateStyle: string;
    }
    interface OfflineSlate {
        liveStreamOfflineSlateRenderer: LiveStreamOfflineSlateRenderer;
    }
    interface LiveStreamabilityRenderer {
        videoId: string;
        offlineSlate: OfflineSlate;
        pollDelayMs: string;
    }
    interface LiveStreamability {
        liveStreamabilityRenderer: LiveStreamabilityRenderer;
    }
    interface PlayabilityStatus {
        status: string;
        reason: string;
        liveStreamability: LiveStreamability;
        additionalLoggingData: string;
    }
    interface HeartBeatResponse {
        responseContext: ResponseContext;
        playabilityStatus: PlayabilityStatus;
        pollDelayMs: string;
        adBreakHeartbeatParams: string;
    }
    interface MetaResponse {
        responseContext: ResponseContext;
        continuation: Continuation;
        actions?: Action[];
        frameworkUpdates?: FrameworkUpdates;
    }
    interface LiveChatRenderer {
        continuations: any[];
        actions: Action[];
        header: any;
        trackingParams: string;
        viewerName: string;
    }
    interface Text {
        runs: Run[];
    }
    interface MessageRenderer {
        text: Text;
        trackingParams: string;
    }
    interface InitialData {
        contents: {
            liveChatRenderer: LiveChatRenderer;
            messageRenderer?: MessageRenderer;
        };
        responseContext: any;
        trackingParams: string;
    }
    interface RootResponse {
        responseContext: ResponseContext;
        trackingParams: string;
        frameworkUpdates: FrameworkUpdates;
        continuationContents: ContinuationContents;
    }
    interface MemberShip {
        primary: string;
        sub: string;
    }
    type GiftType = 'superchat' | 'supersticker' | 'sponsorgift' | 'giftreceived' | 'milestonechat';
    interface CommentResponse extends BaseResponse {
        paidText?: string;
        price?: number;
        unit?: string;
        isModerator: boolean;
        isMember: boolean;
        isSponsorshipGiftSender?: boolean;
        isSponsorshipGiftReceiver?: boolean;
        giftType?: GiftType;
        isQuestion?: boolean;
        autoModerated: boolean;
        membership?: MemberShip;
        colors?: Colors;
        tier?: number;
    }
}
