"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bind = exports.toTimestamp = exports.toColor = exports.Color = void 0;
class Color {
    constructor(r, g, b, a) {
        this.r = 255;
        this.g = 255;
        this.b = 255;
        this.a = 1.;
        this.r = r;
        this.g = g;
        this.b = b;
        this.a = a;
    }
}
exports.Color = Color;
const regex = /rgba\((\d+),(\d+),(\d+),(\d(\.\d+)?)\)/;
const disabledColor = new Color(255, 0, 255, 1);
function toColor(rgba) {
    const result = regex.exec(rgba);
    if (!result)
        return disabledColor;
    return new Color(parseInt(result[1]), parseInt(result[2]), parseInt(result[3]), parseFloat(result[4]));
}
exports.toColor = toColor;
// タイムスタンプデータの例
// "timestamp":"2024-06-15T12:58:28.990Z"
function toTimestamp(input) {
    const date = new Date(input);
    return {
        year: date.getFullYear(),
        month: date.getMonth(),
        day: date.getDay(),
        hour: date.getHours(),
        minute: date.getMinutes(),
        second: date.getSeconds(),
        ms: date.getMilliseconds()
    };
}
exports.toTimestamp = toTimestamp;
function bind(variable, func) {
    return variable ? func(variable) : undefined;
}
exports.bind = bind;
